%% This parameter file sets the Cash-Karp parameters for a Runge-Kutta 
%% 5th order with embedded lower order integrators.

% Desired Accuracy
herr=1e-6;

% Cash-Karp Parameters

rk.ai=[0 1/5 3/10 3/5 1 7/8]';

rk.bij=[ 0          0         0           0          0;
     1/5         0         0           0          0;
     3/40       9/40       0           0          0;
     3/10      -9/10      6/5          0          0;
   -11/54       5/2     -70/27       35/27        0;
  1631/55296  175/512   575/13824 44275/110592 253/4096];

rk.ci(5,:)=[  37/378    0    250/621     125/594      0    512/1771]';
rk.ci(4,:)=[2825/27648  0  18575/48384 13525/55296 277/14336 1/4   ]';
rk.ci(3,:)=[  19/54     0    -10/27       55/54       0       0    ]';
rk.ci(2,:)=[  -3/2     5/2      0           0         0       0    ]';
rk.ci(1,:)=[    1       0       0           0         0       0    ]';


